Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.dom.client
Interface HasCanPlayThroughHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasAllMediaHandlers

All Known Implementing Classes:
  Audio, MediaBase, Video

    public interface HasCanPlayThroughHandlers

extends HasHandlers

A widget that implements this interface provides registration for `CanPlayThroughHandler` instances.

Experimental API: This API is still under development and is subject to change.

Method Summary
`HandlerRegistration` | `addCanPlayThroughHandler(CanPlayThroughHandler handler)` Adds a `CanPlayThroughEvent` handler.

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Method Detail

### addCanPlayThroughHandler

    HandlerRegistration addCanPlayThroughHandler(CanPlayThroughHandler handler)

  Adds a `CanPlayThroughEvent` handler.

  Parameters:
    `handler` - the media CanPlayThrough handler
  Returns:
    `HandlerRegistration` used to remove this handler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD